Based on id query location
GET https://{handle}.myshopline.com/admin/openapi/v20261201/locations/:id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get a location for a store
Path Parameters
- id string requiredLocation unique number
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
locationobject
Location informationprovince_code stringProvince codeExample:2400011is_default stringDefault locationphone_code stringPhone number international districtExample:0010name stringLocation nameExample:Ottawa Storeid stringLocation unique numberExample:5668167071852661850province stringProvince nameExample:Ontariophone stringTelephone numberExample:18883290139address2 stringDetailed address 2, optionalExample:Unit 42created_at stringLocation created time ( format see IOS8601 )Example:2021-08-16T08:27:57+00:00legacy booleanWhether a fulfillment service location or notExample:truecountry_code stringNational codeExample:CAzip stringPostal codeExample:A1B 2C3address1 stringDetailed address 1Example:126 York Streetactive booleanWhether the location is enabledExample:trueupdated_at stringLocation update time ( format see IOS8601 )Example:2021-08-16T08:27:57+00:00country stringCountry NameExample:Canadacity stringCity nameExample:Ottawa
API Explorer
Debugger
Was this article helpful to you?